Fleet Cert Manager
==================

Automate cert-manager with Fleet.  This deploys cert-manager via Helm and includes a curated ClusterIssuer for LetsEncrypt for nginx and traefik ingesses.

## Example GitRepo object

```
apiVersion: fleet.cattle.io/v1alpha1
kind: GitRepo
metadata:
  name: cert-manager-lsit
  namespace: fleet-default
  #For rancher manager, also deploy this to fleet-local namespace
spec:
  branch: main
  correctDrift:
    enabled: true
    force: true
  keepResources: true
  paths:
    - operator
    - manifests
  repo: https://git.lsit.ucsb.edu/LSIT-Systems/fleet-cert-manager
  targetNamespace: ''
  # To limit by label:
  #targets:
  #  - clusterGroup: dev
```
